	# author Xingzheng Wu email xingzhengwu@gmail.com
	#references
	#Wu XZ. 2015. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Journal of Earth System Science. 
	#2015/5/22

	strPack01=("H:/XWUBJ/CFaiCopula/GeoRiskR/GeoRiskR3.0/GeoRiskR3.0/")
	install.packages(paste(strPack01,"GeoRiskR_3.0.zip",sep=""),repos=NULL)	
	library(GeoRiskR)
		CFAIEM2<-	RockShear[which(RockShear[["type"]]=='weathered-clay-stone'),1:2]
	Cohe<-CFAIEM2[,1]
	Fric<-CFAIEM2[,2]
	#---Fig. 3
	library(fitdistrplus)
	library(copula) 
	CPhiEM<-cbind(Cohe, Fric)
	theta1<-cor(CPhiEM,method = "pearson")[1,2]
	myMvd01 <- mvdc(copula = ellipCopula(family = "normal", param = theta1), margins = c("weibull", "gamma"), paramMargins =list(list(shape=fitdist(Cohe, "weibull")$estimate[1], scale=fitdist(Cohe, "weibull")$estimate[2]), list(shape=fitdist(Fric, "gamma")$estimate[1], rate=fitdist(Fric, "gamma")$estimate[2])))
	denss01<-contour(myMvd01, dmvdc,xlim=c(0,250),ylim=c(0,50))
	sim.number<-200; set.seed(123)
	O11 <- rmvdc(myMvd01, sim.number); points(O11)
