	# author Xingzheng Wu email xingzhengwu@gmail.com
	#references
	#Wu XZ. 2015. Implementing multivariate fitting and reliability analyses for geotechnical engineering problems in R. Journal of Earth System Science. 
	#2015/5/22

	library(fitdistrplus)
	strPack01=("H:/XWUBJ/CFaiCopula/GeoRiskR/GeoRiskR3.0/GeoRiskR3.0/")
	install.packages(paste(strPack01,"GeoRiskR_3.0.zip",sep=""),repos=NULL)	
	library(GeoRiskR)
		CFAIEM2<-	RockShear[which(RockShear[["type"]]=='weathered-clay-stone'),1:2]
	Cohe<-CFAIEM2[,1]
	Fric<-CFAIEM2[,2]
	#---Fig.1a 1b
	hist(Cohe,probability=TRUE,breaks=20,col=grey(.9),ylim=c(0,0.01),xlim=c(0,250),xlab='Cohesion (kPa)')
	hist(Fric,probability=TRUE,breaks=20,col=grey(.9),ylim=c(0,0.06),xlim=c(0,50),xlab='Friction angle (degree)')
	fitCohe5<-fitdist(Cohe,"weibull")
	summary(fitCohe5)$aic; summary(fitCohe5)$loglik
	gofstat(fitdist(CFAIEM[,1],"gamma"))$ad
